Attribute VB_Name = "Module1"
Option Explicit


Public Declare Function IO_Open Lib "RioCom" (ByVal Comport As Long, ByVal BaudRate As Long) As Long
Public Declare Function IO_Close Lib "RioCom" (ByVal Comport As Long) As Long
Public Declare Function IO_Write Lib "RioCom" (ByVal Comport As Long, ByVal NumeroBytes As Long, ByVal data As String) As Long
Public Declare Function IO_Read Lib "RioCom" (ByVal Comport As Long, ByVal NumeroBytes As Long, ByVal data As String, ByVal Timeout As Long) As Long

Public Declare Function radio_init Lib "RioCom" (ByVal com_no As Long, ByVal first_terminal As Long, ByVal last_terminal As Long, ByVal license_no As Long, ByVal order As Long) As Long
Public Declare Function radio_close Lib "RioCom" () As Long
Public Declare Function radio_send Lib "RioCom" (ByVal terminal As Long, ByVal Msg As String) As Long
Public Declare Function radio_send_message Lib "RioCom" (ByVal terminal As Long, ByVal Msg As String) As Long
Public Declare Function radio_send_big_message Lib "RioCom" (ByVal terminal As Long, ByVal Msg As String) As Long

Public Declare Function radio_send_message_auto_run_menu Lib "RioCom" (ByVal terminal As Long, ByVal Msg As String, ByVal menuoption As Long) As Long
Public Declare Function radio_send_big_message_auto_run_menu Lib "RioCom" (ByVal terminal As Long, ByVal Msg As String, ByVal menuoption As Long) As Long

Public Declare Function radio_set_entry Lib "RioCom" (ByVal entry_no As Long, ByVal name As String) As Long
Public Declare Function radio_upload_entry Lib "RioCom" (ByVal first_entry As Long, ByVal last_entry As Long) As Long
Public Declare Function radio_set_baudrate Lib "RioCom" (ByVal BaudRate As Long) As Long
Public Declare Function radio_get_version Lib "RioCom" () As Long

Public Declare Function radio_message_upload_plus Lib "RioCom" (ByVal terminal As Long) As Long
Public Declare Function radio_message_clear_upload_plus Lib "RioCom" (ByVal terminal As Long) As Long
Public Declare Function radio_message_hardware_A Lib "RioCom" (ByVal terminal As Long, ByVal valor As Long) As Long
Public Declare Function radio_message_hardware_B Lib "RioCom" (ByVal terminal As Long, ByVal valor As Long) As Long
Public Declare Function radio_message_hardware_ABCDE Lib "RioCom" (ByVal terminal As Long, ByVal valor1 As Long, ByVal valor2 As Long, ByVal valor3 As Long, ByVal valor4 As Long, ByVal valor5 As Long) As Long

Public Declare Function radio_send_list3 Lib "RioCom" (ByVal terminal As Long, ByVal Pratos As Long, ByVal Mesa As Long, ByVal AuxData As Long, ByVal Lugar1 As Long, ByVal Lugar2 As Long, ByVal addr_plus As Long, ByVal addr_qtds As Long) As Long
Public Declare Function radio_send_list4 Lib "RioCom" (ByVal terminal As Long, ByVal Pratos As Long, ByVal Mesa As Long, ByVal AuxData As Long, ByVal Lugar1 As Long, ByVal Lugar2 As Long, ByVal addr_plus As Long, ByVal addr_qtds As Long, ByVal st_mesa1 As String, ByVal st_mesa2 As String) As Long
Public Declare Function radio_send_list4_total Lib "RioCom" (ByVal terminal As Long, ByVal Pratos As Long, ByVal Mesa As Long, ByVal AuxData As Long, ByVal Lugar1 As Long, ByVal Lugar2 As Long, ByVal addr_plus As Long, ByVal addr_qtds As Long, ByVal st_mesa1 As String, ByVal st_mesa2 As String, ByVal total As Long) As Long
Public Declare Function radio_recv3 Lib "RioCom" (ByRef Funcao As Long, ByRef terminal As Long, ByRef Licenca As Long, ByRef Msg As Long, ByRef Pratos As Long, ByRef Mesa1 As Long, ByRef Mesa2 As Long, ByRef AuxData As Long, ByRef Lugar1 As Long, ByRef Lugar2 As Long, ByVal addr_plus As Long, ByVal addr_qtds As Long) As Long
Public Declare Function radio_recv4 Lib "RioCom" (ByRef Funcao As Long, ByRef terminal As Long, ByRef Licenca As Long, ByRef Msg As Long, ByRef Pratos As Long, ByRef Mesa1 As Long, ByRef Mesa2 As Long, ByRef AuxData As Long, ByRef Lugar1 As Long, ByRef Lugar2 As Long, ByVal addr_plus As Long, ByVal addr_qtds As Long, ByVal st_mesa1 As String, ByVal st_mesa2 As String) As Long
Public Declare Function radio_recv5 Lib "RioCom" (ByRef Funcao As Long, ByRef terminal As Long, ByRef Licenca As Long, ByRef Msg As Long, ByRef Pratos As Long, ByRef Mesa1 As Long, ByRef Mesa2 As Long, ByRef AuxData As Long, ByRef Lugar1 As Long, ByRef Lugar2 As Long, ByVal addr_plus As Long, ByVal addr_qtds As Long, ByVal st_mesa1 As String, ByVal st_mesa2 As String) As Long

' TCPIP
Public Declare Function TCPIP_Start Lib "RioCom" (ByVal IPAddress As String) As Long
Public Declare Function TCPIP_AcceptTerminalId Lib "RioCom" (ByVal TerminalId As String) As Long

' modifiers
Public Declare Function radio_set_modifier_entry Lib "RioCom" (ByVal name As String) As Long
Public Declare Function radio_set_modifier_name Lib "RioCom" (ByVal group_name As String) As Long
Public Declare Function radio_set_modifier_start Lib "RioCom" (ByVal first_complement_number As Long) As Long
Public Declare Function radio_set_modifier_end Lib "RioCom" () As Long
Public Declare Function radio_set_entry_with_modifier Lib "RioCom" (ByVal entry_no As Long, ByVal name As String, ByVal group_name As String, ByVal group_type As Long) As Long

'Tree
Public Declare Function radio_make_tree_cd_back Lib "RioCom" () As Long
Public Declare Function radio_make_tree_entry Lib "RioCom" (ByVal entry_number As Long, ByVal entry_name As String) As Long
Public Declare Function radio_make_tree_cd Lib "RioCom" (ByVal directory_name As String) As Long
Public Declare Function radio_make_tree_mkdir Lib "RioCom" (ByVal directory_name As String) As Long
Public Declare Function radio_upload_tree Lib "RioCom" () As Long

' Tree modifiers
Public Declare Function radio_make_tree_modifier_entry Lib "RioCom" (ByVal entry_number As Long, ByVal name As String) As Long
Public Declare Function radio_make_tree_modifier Lib "RioCom" (ByVal group_name As String, ByVal automatic As Boolean, ByVal multiple_choice As Boolean) As Long




